JoinType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.sql
Enum JoinType

    java.lang.Object
      java.lang.Enum<JoinType>
          org.hibernate.sql.JoinType

All Implemented Interfaces:
  Serializable, Comparable<JoinType>

    public enum JoinType

extends Enum<JoinType>

Enum Constant Summary
`FULL_JOIN`
`INNER_JOIN`
`LEFT_OUTER_JOIN`
`NONE`
`RIGHT_OUTER_JOIN`

Method Summary
`int` | `getJoinTypeValue()`
`static JoinType` | `parse(int joinType)`
`static JoinType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JoinType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final JoinType NONE

### INNER_JOIN

    public static final JoinType INNER_JOIN

### LEFT_OUTER_JOIN

    public static final JoinType LEFT_OUTER_JOIN

### RIGHT_OUTER_JOIN

    public static final JoinType RIGHT_OUTER_JOIN

### FULL_JOIN

    public static final JoinType FULL_JOIN

Method Detail

### values

    public static JoinType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JoinType c : JoinType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JoinType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getJoinTypeValue

    public int getJoinTypeValue()

### parse

    public static JoinType parse(int joinType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.